#include "SDL/SDL.h"
#include "SDL/SDL_ttf.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_mixer.h"
#include "clase.h"
#include "functions.h"
#include "initializare.h"
#include <cstdlib>



void init()
{
    int i;
    meniu.deschide("resources/poze/b_meniu.png");
    meniu.deschide2("resources/poze/Tb_meniu.png");
    meniu.coordonate(1.25*250, 1.25*350);
    wallpaper.deschide("resources/poze/wallpaper.png");
    wallpaper.coordonate(0, 0);
    text_instructiuni.deschide("resources/poze/text_instructiuni.png");
    text_instructiuni.coordonate(0, 0);
    start.deschide("resources/poze/start.png");
    start.deschide2("resources/poze/Tstart.png");
    start.coordonate(1.25*250, 1.25*200);
    instructiuni.deschide("resources/poze/instructiuni.png");
    instructiuni.deschide2("resources/poze/Tinstructiuni.png");
    instructiuni.coordonate(1.25*250, 1.25*275);
    optiuni.deschide("resources/poze/optiuni.png");
    optiuni.deschide2("resources/poze/Toptiuni.png");
    optiuni.coordonate(1.25*250, 1.25*350);
    iesire.deschide("resources/poze/iesire.png");
    iesire.deschide2("resources/poze/Tiesire.png");
    iesire.coordonate(1.25*250, 1.25*425);
    pauza.deschide("resources/poze/pauza.png");
    pauza.deschide2("resources/poze/Tpauza.png");
    pauza.coordonate(0, 0);//modifica
    highscores.deschide("resources/poze/highscores.png");
    highscores.deschide2("resources/poze/Thighscores.png");
    highscores.coordonate(1.25*250, 1.25*350);
    inapoi.deschide("resources/poze/inapoi.png");
    inapoi.deschide2("resources/poze/Tinapoi.png");
    inapoi.coordonate(1000-375, 750-63);
    gameover.deschide("resources/poze/gameover.png");
    gameover.coordonate(0, 0);
    restart.deschide("resources/poze/restart.png");
    restart.deschide2("resources/poze/Trestart.png");
    restart.coordonate(1.25*250, 1.25*425);

    joc.deschide("resources/poze/joc.png");
    joc.coordonate(0, 0);

    player.deschide("resources/poze/player.png");
    player.coordonate(200, 500);

    catch_me.deschide("resources/poze/tinta.png");

    for (i=0; i<200; i++)
        fantoma[i].deschide("resources/poze/fantoma.png");
    for (i=0; i<20; i++)
    power_up[i].deschide("resources/poze/power_up.png");
    for (i=0; i<20; i++)
    cooldown[i].deschide("resources/poze/cooldown.png");

    muzica=Mix_LoadMUS("resources/sounds/music.mp3");
    clic=Mix_LoadWAV("resources/sounds/button.wav");

    sound.deschide("resources/poze/sound-on.png");
    sound.deschide2("resources/poze/sound-off.png");//875, 10
    sound.coordonate(875, 10);
    sound.dimensiuni(100, 100);
//calt
//Mix_HaltMusic();
//Mix_ResumeMusic();
    textColor = { 255, 255, 255 };

}
